<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:49 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index</title>
<meta name="date" content="2018-08-25">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#addCategory-category-">addCategory(category)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">ruft die <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> auf, um ein <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekt in diese zu speichern</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#addMoneyRecord-record-">addMoneyRecord(record)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">ruft die <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> auf, um ein <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>-Objekt in diese zu speichern</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">AppSettingsFragment</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Fragment, welches die App-Einstellungen anzeigt. Mit Hilfe der PreferenceFragmentCompat werden diese automatisch geladen und gespeichert.</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html#AppSettingsFragment--">AppSettingsFragment()</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa">AppSettingsFragment</a></dt>
<dd>
<div class="block">Fragment, welches die App-Einstellungen anzeigt. Mit Hilfe der PreferenceFragmentCompat werden diese automatisch geladen und gespeichert.</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/AppSettingsFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">AppSettingsFragment.Companion</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">AppUtils</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">statisches Objekt mit Hilfsfunktionen, die an verschiedenen Stellen der App benutzt werden</div>
</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html#bind-category-">bind(category)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter.ViewHolder</a></dt>
<dd>
<div class="block">verbindet ein Kategorie-Objekt mit einer einzelnen Zeile der Liste</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html#bind-record-">bind(record)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter.ViewHolder</a></dt>
<dd>
<div class="block">verbindet ein Eintrags-Objekt mit einer einzelnen Zeile der Liste</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">CalculationPeriod</span></a> - Enum in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">Enum für die verschiedenen Berechnungszeiträume</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CalculationPeriod.html#CalculationPeriod-displayNameResource-">CalculationPeriod(displayNameResource)</a></span> - Constructor for enum markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend">CalculationPeriod</a></dt>
<dd>
<div class="block">Enum für die verschiedenen Berechnungszeiträume</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Category</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block"><a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#Category-_id-name-">Category(_id, name)</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block">Wird von Room verwendet um Daten aus der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> zu repräsentieren oder kann manuell aufgerufen
werden um Dummys zu erstellen (diese müssen extra in die DB eingefügt werden, um sie zu speichern)</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">CategoryAdapter</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Adapter für das <a href="markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#CategoryAdapter-categories-viewModel-">CategoryAdapter(categories, viewModel)</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">Adapter für das <a href="markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">CategoryAdapter.ViewHolder</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Implementierung für den spezifischen ViewHolder von <a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">CategoryDAO</span></a> - Interface in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">Alle Queries, die Room auf die categories Tabelle anwenden kann. Die Funktionen werden automatisch
durch Room implementiert, deren Parameter in die Query eingebunden und Ergebnisse anhand der Rückgabewerte zurückgegeben</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html#categoryDao--">categoryDao()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyDatabase</a></dt>
<dd>
<div class="block">wird von Room implementiert und gibt das DAO der Categories zurück</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">CategoryFragment</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Fragment um eine Liste von Kategorien anzuzeigen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryFragment.html#CategoryFragment--">CategoryFragment()</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa">CategoryFragment</a></dt>
<dd>
<div class="block">Fragment um eine Liste von Kategorien anzuzeigen</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/CategoryFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">CategoryFragment.Companion</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">CategoryViewModel</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">AndroidViewModel für <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>, welches die Verbindung zwischen dem UI und der Datenbank herstellt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#CategoryViewModel-application-">CategoryViewModel(application)</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">fordert eine Liste von Kategorien von der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> an</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html#Companion">Companion</a></span> - Static variable in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa">AppSettingsFragment</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html#Companion">Companion</a></span> - Static variable in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyDatabase</a></dt>
<dd>
<div class="block">wird benutzt um eine einzelne Instanz der Datenbank zurückzugeben ohne einen statischen Kontext zu verwenden (Singleton)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryFragment.html#Companion">Companion</a></span> - Static variable in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa">CategoryFragment</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html#Companion">Companion</a></span> - Static variable in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewCategoryDialogFragment</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html#Companion">Companion</a></span> - Static variable in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewRecordDialogFragment</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/RecordFragment.html#Companion">Companion</a></span> - Static variable in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa">RecordFragment</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#component1--">component1()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block">Eindeutige ID des Eintrages,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#component1--">component1()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Eindeutige ID des Eintrages,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#component2--">component2()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block">Der sichtbare Name der Kategorie,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#component2--">component2()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">wird beim erstmaligen Erstellen automatisch generiert und beinhaltet den Timestamp der Erstellungzeit des Eintrages</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#component3--">component3()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Der Betrag als Float,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#component4--">component4()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">die eindeutige</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#component5--">component5()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">wird automatisch aus dem DAO geladen und beinhaltet den Namen der Kategorie,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#copy-_id-name-">copy(_id, name)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block"><a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#copy-_id-creationTimestamp-amount-categoryId-categoryName-">copy(_id, creationTimestamp, amount, categoryId, categoryName)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">DateTypeConverter</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">Room-spezifische Klasse mit Methoden, die den Datentyp <a href="https://developer.android.com/reference/java/util/Date.html">Date</a> zu <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a> umwandeln (und umgekehrt), damit <a href="https://developer.android.com/reference/java/util/Date.html">Date</a> in einer SQLite Datenbank gespeichert werden kann</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html#DateTypeConverter--">DateTypeConverter()</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html" title="class in markus.keingeldfuerdiemensa.backend">DateTypeConverter</a></dt>
<dd>
<div class="block">Room-spezifische Klasse mit Methoden, die den Datentyp <a href="https://developer.android.com/reference/java/util/Date.html">Date</a> zu <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-long/index.html">Long</a> umwandeln (und umgekehrt), damit <a href="https://developer.android.com/reference/java/util/Date.html">Date</a> in einer SQLite Datenbank gespeichert werden kann</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html#delete-category-">delete(category)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">CategoryDAO</a></dt>
<dd>
<div class="block">löscht eine bestehende Kategorie aus der Tabelle</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#delete-record-">delete(record)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">löscht einen bestehenden Eintrag aus der Tabelle</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/doAsync.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">doAsync</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">Utility-Klasse um Code platzsparend in einem Android <a href="https://developer.android.com/reference/android/os/AsyncTask.html">AsyncTask</a> ausführen zu lassen, Code von https://stackoverflow.com/a/49314329</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/doAsync.html#doAsync-handler-">doAsync(handler)</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/doAsync.html" title="class in markus.keingeldfuerdiemensa.backend">doAsync</a></dt>
<dd>
<div class="block">Utility-Klasse um Code platzsparend in einem Android <a href="https://developer.android.com/reference/android/os/AsyncTask.html">AsyncTask</a> ausführen zu lassen, Code von https://stackoverflow.com/a/49314329</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/doAsync.html#doInBackground-params-">doInBackground(params)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/doAsync.html" title="class in markus.keingeldfuerdiemensa.backend">doAsync</a></dt>
<dd>
<div class="block">Funktion beinhaltet den Code, der im AsyncTask ausgeführt werden soll</div>
</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#equals-p-">equals(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#equals-p-">equals(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#get_id--">get_id()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block">Eindeutige ID des Eintrages,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#get_id--">get_id()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Eindeutige ID des Eintrages,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html#getAll--">getAll()</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">CategoryDAO</a></dt>
<dd>
<div class="block">gibt alle <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>s aus der categories-Tabelle zurück</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getAll--">getAll()</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">gibt alle <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>s aus der money_records-Tabelle zurück und sortiert sie nach aufsteigender Erstellungszeit,
fügt außerdem durch eine subquery den Name der <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> hinzu, die zum Eintrag zugeordnet wurde</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getAll-to-">getAll(to)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">gibt alle <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>s nach einer bestimmten Erstellungszeit aus der money_records-Tabelle zurück und sortiert sie nach aufsteigender Erstellungszeit,
fügt außerdem durch eine subquery den Name der <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> hinzu, die zum Eintrag zugeordnet wurde</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#getAmount--">getAmount()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Der Betrag als Float,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#getAmountAsUnsignedCurrency--">getAmountAsUnsignedCurrency()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Nützliche Methode um direkt auf dem Objekt den amount in einen besser lesbaren Geldbetrag umzuwandeln und das
Vorzeichen zu entfernen (in der Liste wird das Vorzeichen durch ein extra Icon repräsentiert)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html#getBinding--">getBinding()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter.ViewHolder</a></dt>
<dd>
<div class="block">das Layout-Binding des</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html#getBinding--">getBinding()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter.ViewHolder</a></dt>
<dd>
<div class="block">das Layout-Binding des</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/AppUtils.html#getCalculationPeriod-c-">getCalculationPeriod(c)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend">AppUtils</a></dt>
<dd>
<div class="block">Gibt das Feld des Enum zurück, welches dem vom Benutzer ausgewählten Berechnungszeitraum entspricht</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#getCategories--">getCategories()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">Liste der anzuzeigenden Kategorien</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#getCategories--">getCategories()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">Liste der <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#getCategoryId--">getCategoryId()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">die eindeutige</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#getCategoryName--">getCategoryName()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">wird automatisch aus dem DAO geladen und beinhaltet den Namen der Kategorie,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#getCreationTimestamp--">getCreationTimestamp()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">wird beim erstmaligen Erstellen automatisch generiert und beinhaltet den Timestamp der Erstellungzeit des Eintrages</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#getDateStringFromCreationTimestamp-context-">getDateStringFromCreationTimestamp(context)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Formatiert den creationTimestamp in ein lesbares Datum unter Anwendung verschiedener Flags, die angeben, welche
Teile der Zeitangabe angezeigt werden</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CalculationPeriod.html#getDisplayNameResource--">getDisplayNameResource()</a></span> - Method in enum markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend">CalculationPeriod</a></dt>
<dd>
<div class="block">Resource-ID für den Namen,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.Companion.html#getInstance-context-">getInstance(context)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.Companion.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyDatabase.Companion</a></dt>
<dd>
<div class="block">gibt die Instanz der Datenbank zurück und erstellt eine neue Instanz, falls es noch keine gibt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#getItemCount--">getItemCount()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">gibt die Anzahl der anzuzeigenden Zeilen der RecyclerView-Liste zurück</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#getItemCount--">getItemCount()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></dt>
<dd>
<div class="block">gibt die Anzahl der anzuzeigenden Zeilen der RecyclerView-Liste zurück</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getMoneyRecords--">getMoneyRecords()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Liste der anzuzeigenden Einträge</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#getMoneyRecords--">getMoneyRecords()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></dt>
<dd>
<div class="block">Liste der <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#getName--">getName()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block">Der sichtbare Name der Kategorie,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#getSelected--">getSelected()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">LiveData-Container für die ausgewählte Kategorie</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#getSelected--">getSelected()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">gibt die ausgewählte Kategorie zurück</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/AppUtils.html#getStartDate-dateNow-c-">getStartDate(dateNow, c)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend">AppUtils</a></dt>
<dd>
<div class="block">Gibt die Startzeit des Berechnungszeitraumes basierend auf den Benutzer-Einstellungen zurück</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getSumIncome-to-">getSumIncome(to)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">Berechnet die Summe der Beträge aller positiven Einträge nach einem bestimmten Datum</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getSumIncome--">getSumIncome()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im postiven Bereich (Einnahmen)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getSumOfRecords--">getSumOfRecords()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Summe der Beträge der anzuzeigenden Einträge</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getSumOutgoing-to-">getSumOutgoing(to)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">Berechnet die absolute Summe der Beträge aller negativen Einträge nach einem bestimmten Datum</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#getSumOutgoing--">getSumOutgoing()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im negativen Bereich (Ausgaben)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#getSumTotal-to-">getSumTotal(to)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">berechnet die Summe der Beträge der Einträge nach einem gewissen Datum</div>
</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#hashCode--">hashCode()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#hashCode--">hashCode()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html#insert-category-">insert(category)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">CategoryDAO</a></dt>
<dd>
<div class="block">fügt eine neue <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> in die Tabelle ein</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html#insert-record-">insert(record)</a></span> - Method in interface markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend">MoneyRecordDAO</a></dt>
<dd>
<div class="block">fügt einen neuen <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a> in die Tabelle ein</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/AppUtils.html#INSTANCE">INSTANCE</a></span> - Static variable in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend">AppUtils</a></dt>
<dd>
<div class="block">statisches Objekt mit Hilfsfunktionen, die an verschiedenen Stellen der App benutzt werden</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#isNegative--">isNegative()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Gibt zurück, ob der amount unter 0 ist.
Wird benutzt, um den Typ des Eintrages (Ein- oder Ausgabe) im UI ordentlich zu kennzeichnen.</div>
</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="markus/keingeldfuerdiemensa/MainActivity.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">MainActivity</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Hauptklasse der App, die alle wichtigen Layout-Teile lädt, Dialoge öffnet und die Navigationsleiste überwacht</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MainActivity.html#MainActivity--">MainActivity()</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MainActivity.html" title="class in markus.keingeldfuerdiemensa">MainActivity</a></dt>
<dd>
<div class="block">Hauptklasse der App, die alle wichtigen Layout-Teile lädt, Dialoge öffnet und die Navigationsleiste überwacht</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a> - package markus.keingeldfuerdiemensa</dt>
<dd>
<div class="block">Hauptpaket und Paket für alle Klassen, die direkt zum UI und dem Lebenszyklus der App gehören</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a> - package markus.keingeldfuerdiemensa.backend</dt>
<dd>
<div class="block">Ausgelagerte App-Logik wie ViewModels, Hilfsklassen und die benötigten Klassen für die Room-Dakenbank</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">MoneyDatabase</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">Datenbank-Klasse, die von der RoomDatabase erbt und Room eine Liste von DAOs bereitstellt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html#MoneyDatabase--">MoneyDatabase()</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyDatabase</a></dt>
<dd>
<div class="block">Datenbank-Klasse, die von der RoomDatabase erbt und Room eine Liste von DAOs bereitstellt</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.Companion.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">MoneyDatabase.Companion</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">wird benutzt um eine einzelne Instanz der Datenbank zurückzugeben ohne einen statischen Kontext zu verwenden (Singleton)</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">MoneyRecord</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a> ist die Kotlin-Repräsentation einer Zeile der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> in der money_records -Tabelle</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#MoneyRecord-_id-creationTimestamp-amount-categoryId-categoryName-">MoneyRecord(_id, creationTimestamp, amount, categoryId, categoryName)</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Wird von Room verwendet um Daten aus der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> zu repräsentieren oder kann manuell aufgerufen werden um Dummys zu erstellen (diese müssen extra in die DB eingefügt werden, um sie zu speichern)</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">MoneyRecordAdapter</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Adapter für das <a href="markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class RecordFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#MoneyRecordAdapter-moneyRecords-">MoneyRecordAdapter(moneyRecords)</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></dt>
<dd>
<div class="block">Adapter für das <a href="markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class RecordFragment</code></a>, der das RecyclerView mit Inhalt füllt und die ausgewählte Kategorie überwacht</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">MoneyRecordAdapter.ViewHolder</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Implementierung für den spezifischen ViewHolder von <a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#onCreateViewHolder-parent-viewType-"><code>MoneyRecordAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html#moneyRecordDao--">moneyRecordDao()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyDatabase</a></dt>
<dd>
<div class="block">wird von Room implementiert und gibt das DAO der MoneyRecords zurück</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordDAO.html" title="interface in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">MoneyRecordDAO</span></a> - Interface in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">Alle Queries, die Room auf die money_record Tabelle anwenden kann. Die Funktionen werden automatisch
durch Room implementiert, deren Parameter in die Query eingebunden und Ergebnisse anhand der Rückgabewerte zurückgegeben</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">MoneyRecordViewModel</span></a> - Class in <a href="markus/keingeldfuerdiemensa/backend/package-summary.html">markus.keingeldfuerdiemensa.backend</a></dt>
<dd>
<div class="block">AndroidViewModel für <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>, welches die Verbindung zwischen dem UI und der Datenbank herstellt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#MoneyRecordViewModel-application-">MoneyRecordViewModel(application)</a></span> - Constructor for class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">fordert eine Liste von Einträgen von der <a href="markus/keingeldfuerdiemensa/backend/MoneyDatabase.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyDatabase</code></a> an</div>
</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">NewCategoryDialogFragment</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">DialogFragment um eine neue Kategorie zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html#NewCategoryDialogFragment--">NewCategoryDialogFragment()</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewCategoryDialogFragment</a></dt>
<dd>
<div class="block">DialogFragment um eine neue Kategorie zu erstellen</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">NewCategoryDialogFragment.Companion</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/AppSettingsFragment.Companion.html#newInstance--">newInstance()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/AppSettingsFragment.Companion.html" title="class in markus.keingeldfuerdiemensa">AppSettingsFragment.Companion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryFragment.Companion.html#newInstance--">newInstance()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryFragment.Companion.html" title="class in markus.keingeldfuerdiemensa">CategoryFragment.Companion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.Companion.html#newInstance--">newInstance()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.Companion.html" title="class in markus.keingeldfuerdiemensa">NewCategoryDialogFragment.Companion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.Companion.html#newInstance--">newInstance()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.Companion.html" title="class in markus.keingeldfuerdiemensa">NewRecordDialogFragment.Companion</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/RecordFragment.Companion.html#newInstance--">newInstance()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/RecordFragment.Companion.html" title="class in markus.keingeldfuerdiemensa">RecordFragment.Companion</a></dt>
<dd>&nbsp;</dd>
<dt><a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">NewRecordDialogFragment</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">DialogFragment um einen neuen Eintrag zu erstellen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html#NewRecordDialogFragment--">NewRecordDialogFragment()</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewRecordDialogFragment</a></dt>
<dd>
<div class="block">DialogFragment um einen neuen Eintrag zu erstellen</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">NewRecordDialogFragment.Companion</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#onAttachedToRecyclerView-recyclerView-">onAttachedToRecyclerView(recyclerView)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn der Adapter an das RecyclerView des übergeordneten Fragment hinzugefügt wird</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MainActivity.html#onBackPressed--">onBackPressed()</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MainActivity.html" title="class in markus.keingeldfuerdiemensa">MainActivity</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn der Benutzer auf die "Zurück" Taste drückt und hier benutzt, um die Navigationsleiste zu schließen (falls diese offen ist)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#onBindViewHolder-holder-position-">onBindViewHolder(holder, position)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn ein neues Element angezeigt werden soll</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#onBindViewHolder-holder-position-">onBindViewHolder(holder, position)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn ein neues Element angezeigt werden soll</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MainActivity.html#onCreate-savedInstanceState-">onCreate(savedInstanceState)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MainActivity.html" title="class in markus.keingeldfuerdiemensa">MainActivity</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn die Activity erstellt wurde</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html#onCreatePreferences-bundle-rootKey-">onCreatePreferences(bundle, rootKey)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/AppSettingsFragment.html" title="class in markus.keingeldfuerdiemensa">AppSettingsFragment</a></dt>
<dd>
<div class="block">fügt die Einstellungen aus der Datei preferences.xml dem View hinzu, wenn diese geladen wurde. Parameter bleiben dabei ungenutzt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryFragment.html#onCreateView-inflater-container-savedInstanceState-">onCreateView(inflater, container, savedInstanceState)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa">CategoryFragment</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn das Layout geladen werden soll (und lädt das Layout basierend auf dem FragmentCategoryListBinding</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html#onCreateView-inflater-container-savedInstanceState-">onCreateView(inflater, container, savedInstanceState)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewCategoryDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewCategoryDialogFragment</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn das Layout geladen werden soll, und lädt es basierend auf dem FragmentNewCategoryBinding,
verbindet darüber hinaus auch Klick- und Änderungs-Handler an die Buttons und Eingabefelder um ein Bestätigen des Dialoges ohne Eingabe zu verhindern</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html#onCreateView-inflater-container-savedInstanceState-">onCreateView(inflater, container, savedInstanceState)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/NewRecordDialogFragment.html" title="class in markus.keingeldfuerdiemensa">NewRecordDialogFragment</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn das Layout geladen werden soll, und lädt es basierend auf dem FragmentNewRecordBinding,
verbindet darüber hinaus auch Klick- und Änderungs-Handler an die Buttons und Eingabefelder um ein Bestätigen des Dialoges ohne Eingabe zu verhindern</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/RecordFragment.html#onCreateView-inflater-container-savedInstanceState-">onCreateView(inflater, container, savedInstanceState)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa">RecordFragment</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn das Layout geladen werden soll (und lädt das Layout basierend auf dem FragmentRecordListBinding</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-">onCreateViewHolder(parent, viewType)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn der ViewHolder erstellt wird und lädt das Layout, was als Binding weiterverwendet werden kann</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#onCreateViewHolder-parent-viewType-">onCreateViewHolder(parent, viewType)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></dt>
<dd>
<div class="block">wird aufgerufen, wenn der ViewHolder erstellt wird und lädt das Layout, was als Binding weiterverwendet werden kann</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MainActivity.html#onNavigationItemSelected-item-">onNavigationItemSelected(item)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MainActivity.html" title="class in markus.keingeldfuerdiemensa">MainActivity</a></dt>
<dd>
<div class="block">wird von NavigationView.OnNavigationItemSelectedListener implementiert und aufgerufen, wenn der Benutzer ein Item in der Navigationsleiste auswählt</div>
</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">RecordFragment</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Fragment um eine Liste von Einträgen und eine Übersicht der Einträge anzuzeigen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/RecordFragment.html#RecordFragment--">RecordFragment()</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa">RecordFragment</a></dt>
<dd>
<div class="block">Fragment um eine Liste von Einträgen und eine Übersicht der Einträge anzuzeigen</div>
</dd>
<dt><a href="markus/keingeldfuerdiemensa/RecordFragment.Companion.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">RecordFragment.Companion</span></a> - Class in <a href="markus/keingeldfuerdiemensa/package-summary.html">markus.keingeldfuerdiemensa</a></dt>
<dd>
<div class="block">Companion Object um eine neue Instanz des Fragments zu erstellen</div>
</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#setAmount-p-">setAmount(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">Der Betrag als Float,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#setCategories-p-">setCategories(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">Liste der anzuzeigenden Kategorien</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#setCategories-value-">setCategories(value)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">Liste der <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#setCategoryId-p-">setCategoryId(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>
<div class="block">die eindeutige</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#setCategorySelected-c-">setCategorySelected(c)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dt>
<dd>
<div class="block">selektiert eine Kategorie in der Liste und speichert diese Selektion im ViewModel, wenn bereits eine andere Kategorie
selektiert oder die gleiche Kategorie erneut selektiert wurde, deselektiert es diese.</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setMoneyRecords-p-">setMoneyRecords(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Liste der anzuzeigenden Einträge</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#setMoneyRecords-value-">setMoneyRecords(value)</a></span> - Method in class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter</a></dt>
<dd>
<div class="block">Liste der <a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class MoneyRecord</code></a>-Objekte, die im RecyclerView angezeigt werden sollen</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#setName-p-">setName(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>
<div class="block">Der sichtbare Name der Kategorie,</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#setSelected-p-">setSelected(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">LiveData-Container für die ausgewählte Kategorie</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html#setSelected-cat-">setSelected(cat)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/CategoryViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">CategoryViewModel</a></dt>
<dd>
<div class="block">markiert eine <a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend"><code>class Category</code></a> als vom Benutzer ausgewählt (in der Liste angetippt)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setSumIncome-p-">setSumIncome(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im postiven Bereich (Einnahmen)</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setSumOfRecords-p-">setSumOfRecords(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Summe der Beträge der anzuzeigenden Einträge</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html#setSumOutgoing-p-">setSumOutgoing(p)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecordViewModel.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecordViewModel</a></dt>
<dd>
<div class="block">Summe der Beträge der anzuzeigenden Einträge im negativen Bereich (Ausgaben)</div>
</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/AppUtils.html#toCurrencyString-f-">toCurrencyString(f)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend">AppUtils</a></dt>
<dd>
<div class="block">konvertiert eine <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html">Float</a> zu einem <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, der einen Geldbetrag widerspiegelt - basierend auf <a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/AppUtils.html#toCurrencyString-i-">toCurrencyString(i)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/AppUtils.html" title="class in markus.keingeldfuerdiemensa.backend">AppUtils</a></dt>
<dd>
<div class="block">konvertiert einen <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a> zu einem <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, der einen Geldbetrag widerspiegelt - basierend auf <a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html#toDate-l-">toDate(l)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html" title="class in markus.keingeldfuerdiemensa.backend">DateTypeConverter</a></dt>
<dd>
<div class="block">konvertiert einen timestamp zum Date</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html#toLong-d-">toLong(d)</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/DateTypeConverter.html" title="class in markus.keingeldfuerdiemensa.backend">DateTypeConverter</a></dt>
<dd>
<div class="block">konvertiert ein Date zu einem timestamp</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/Category.html#toString--">toString()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/Category.html" title="class in markus.keingeldfuerdiemensa.backend">Category</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html#toString--">toString()</a></span> - Method in class markus.keingeldfuerdiemensa.backend.<a href="markus/keingeldfuerdiemensa/backend/MoneyRecord.html" title="class in markus.keingeldfuerdiemensa.backend">MoneyRecord</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html#ViewHolder-:Douter-">ViewHolder($outer)</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter.ViewHolder</a></dt>
<dd>
<div class="block">Implementierung für den spezifischen ViewHolder von <a href="markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</div>
</dd>
<dt><span class="memberNameLink"><a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html#ViewHolder-:Douter-">ViewHolder($outer)</a></span> - Constructor for class markus.keingeldfuerdiemensa.<a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa">MoneyRecordAdapter.ViewHolder</a></dt>
<dd>
<div class="block">Implementierung für den spezifischen ViewHolder von <a href="markus/keingeldfuerdiemensa/MoneyRecordAdapter.html#onCreateViewHolder-parent-viewType-"><code>MoneyRecordAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
